# aw-watcher-mpd
An ActivityWatch watcher for MPD.  

Based of off [aw-watcher-spotify](https://github.com/ActivityWatch/aw-watcher-spotify)

## Development
1. Install pip packages from the requirements.txt.  
`pip install -r requirements.txt`
2. Start ActivityWatch in testing mode.  
`aw-qt --testing`
3. `cd aw_watcher_mpd`
4. `python main.py --testing`

## Building
Make sure you have pyinstaller installed before you start.  
`pip install -U pyinstaller`
1. make clean
2. make package  

`dist/aw-watcher-mpd` is your outputted folder

## Installing (Linux)
To install aw-watcher-mpd, first build it, then follow the below steps to install and automatically start the watcher when ActivityWatch starts.
1. `cp -R dist/aw-watcher-mpd /opt`
2. Create `/usr/bin/aw-watcher-mpd`  
Contents:

```bash
#!/bin/bash

/opt/aw-watcher-mpd/aw-watcher-mpd "$@"
```
3. chmod +x `/usr/bin/aw-watcher-mpd`
4. Edit `~/.config/activitywatch/aw-qt/aw-qt.toml`  
Uncomment the first two lines and add `aw-watcher-mpd` to autostart.  
Example:

```toml
[aw-qt]
autostart_modules = ["aw-server", "aw-watcher-afk", "aw-watcher-window", "aw-watcher-mpd"]
```

## Configuring
To configure settings for aw-watcher mpd such as the MPD connection details and ActivityWatch poll time, first run the application once, and then edit `~/.config/activitywatch/aw-watcher-mpd/aw-watcher-mpd.toml`.
